librime: rime::SwitcherSettings Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | List of all members
rime::SwitcherSettings Class Reference

`#include <switcher_settings.h>`

Inheritance diagram for rime::SwitcherSettings:
[legend]
Collaboration diagram for rime::SwitcherSettings:
[legend]

## Public Types
using | SchemaList = vector<SchemaInfo>
using | Selection = vector<string>

## Public Member Functions
| SwitcherSettings (Deployer *deployer)
bool | Load ()
bool | Select (Selection selection)
bool | SetHotkeys (const string &hotkeys)
const SchemaList & | available () const
const Selection & | selection () const
const string & | hotkeys () const
Public Member Functions inherited from rime::CustomSettings
| CustomSettings (Deployer *deployer, const string &config_id, const string &generator_id)
virtual | ~CustomSettings ()=default
virtual bool | Save ()
an< ConfigValue > | GetValue (const string &key)
an< ConfigList > | GetList (const string &key)
an< ConfigMap > | GetMap (const string &key)
bool | Customize (const string &key, const an< ConfigItem > &item)
bool | IsFirstRun ()
bool | modified () const
Config * | config ()

## Additional Inherited Members
Protected Attributes inherited from rime::CustomSettings
Deployer * | deployer_
bool | modified_ = false
string | config_id_
string | generator_id_
Config | config_
Config | custom_config_

## Member Typedef Documentation

## ◆ SchemaList

using rime::SwitcherSettings::SchemaList = vector<SchemaInfo>

## ◆ Selection

using rime::SwitcherSettings::Selection = vector<string>

## Constructor & Destructor Documentation

## ◆ SwitcherSettings()

rime::SwitcherSettings::SwitcherSettings | ( | Deployer * | deployer | ) |
| explicit

## Member Function Documentation

## ◆ available()

const SchemaList & rime::SwitcherSettings::available | ( |  | ) | const
| inline

## ◆ hotkeys()

const string & rime::SwitcherSettings::hotkeys | ( |  | ) | const
| inline

## ◆ Load()

bool rime::SwitcherSettings::Load | ( |  | ) |
| virtual

Reimplemented from rime::CustomSettings.

## ◆ Select()

bool rime::SwitcherSettings::Select | ( | Selection | selection | ) |

## ◆ selection()

const Selection & rime::SwitcherSettings::selection | ( |  | ) | const
| inline

## ◆ SetHotkeys()

bool rime::SwitcherSettings::SetHotkeys | ( | const string & | hotkeys | ) |

The documentation for this class was generated from the following files:

- switcher_settings.h
- switcher_settings.cc